# module Treetop::Compiler::Metagrammar::Choice2

### Public Instance Methods

alternatives() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1046
    def alternatives
      [head] + tail
    end

inline_modules() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1054
    def inline_modules
      (alternatives.map {|alt| alt.inline_modules }).flatten
    end

tail() click to toggle source
Calls superclass method

    # File lib/treetop/compiler/metagrammar.rb, line 1050
    def tail
      super.elements.map {|elt| elt.alternative}
    end